import { Directive, Input } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./StencilProxyComponent";
export class ReplaceTagDirective {
    constructor(templateRef, vcf, host) {
        this.templateRef = templateRef;
        this.vcf = vcf;
        this.host = host;
        this._needUpdate = false;
    }
    set tag(t) {
        this._tag = t;
        this._needUpdate = true;
        this.vcf.clear();
        let template = this.templateRef.elementRef.nativeElement.previousElementSibling;
        if (template) {
            this.templateRef.elementRef.nativeElement.parentNode.removeChild(template);
        }
        this.vcf.createEmbeddedView(this.templateRef);
    }
    ngAfterViewChecked() {
        if (this._needUpdate) {
            this._updateTemplate();
            this._needUpdate = false;
        }
    }
    _updateTemplate() {
        let template = this.templateRef.elementRef.nativeElement.previousElementSibling;
        if (template) {
            this._webComponentElement = document.createElement(this._tag);
            this.mirrorProperties(this.templateRef.elementRef.nativeElement.previousElementSibling, this._webComponentElement);
            Array.from(template.childNodes).forEach((node) => {
                this._webComponentElement.appendChild(node);
            });
            this.templateRef.elementRef.nativeElement.parentNode.replaceChild(this._webComponentElement, template);
            // template.style.display = 'none';
            // this.templateRef.elementRef.nativeElement.parentNode.appendChild(this._webComponentElement, template);
        }
    }
    handlePropertyChanges() {
        this.mirrorProperties(this.templateRef.elementRef.nativeElement.parentElement, this._webComponentElement);
    }
    mirrorProperties(from, to) {
        const properties = Object.entries(from);
        for (let [key, value] of properties) {
            if (this.host.availableInputProperties.includes(key) && value !== undefined) {
                to[key] = value;
            }
        }
    }
}
ReplaceTagDirective.ɵfac = function ReplaceTagDirective_Factory(t) { return new (t || ReplaceTagDirective)(i0.ɵɵdirectiveInject(i0.TemplateRef), i0.ɵɵdirectiveInject(i0.ViewContainerRef), i0.ɵɵdirectiveInject(i1.StencilProxyComponent)); };
ReplaceTagDirective.ɵdir = /*@__PURE__*/ i0.ɵɵdefineDirective({ type: ReplaceTagDirective, selectors: [["", "replaceTag", ""]], inputs: { tag: ["replaceTag", "tag"] } });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ReplaceTagDirective, [{
        type: Directive,
        args: [{
                selector: '[replaceTag]',
            }]
    }], function () { return [{ type: i0.TemplateRef }, { type: i0.ViewContainerRef }, { type: i1.StencilProxyComponent }]; }, { tag: [{
            type: Input,
            args: ['replaceTag']
        }] }); })();
