import { ChangeDetectorRef, ElementRef, OnChanges, NgZone } from '@angular/core';
import { ReplaceTagDirective } from './angular-component-lib/ReplaceTagDirective';
import { StencilProxyComponent } from './angular-component-lib/StencilProxyComponent';
import { Components } from '@public-ui/components';
import * as i0 from "@angular/core";
export declare class KolAbbr extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    _tooltipalign: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolAbbr, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolAbbr, "kol-abbr", never, { "_label": "_label"; "_tooltipAlign": "_tooltipAlign"; }, {}, never, ["*"], false, never>;
}
export declare interface KolAbbr extends Components.KolAbbr {
}
export declare class KolAccordion extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _disabled: any;
    _label: any;
    _level: any;
    _on: any;
    _open: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolAccordion, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolAccordion, "kol-accordion", never, { "_disabled": "_disabled"; "_label": "_label"; "_level": "_level"; "_on": "_on"; "_open": "_open"; }, {}, never, ["*"], false, never>;
}
export declare interface KolAccordion extends Components.KolAccordion {
}
export declare class KolAlert extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _alert: any;
    _hascloser: any;
    _label: any;
    _level: any;
    _on: any;
    _type: any;
    _variant: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolAlert, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolAlert, "kol-alert", never, { "_alert": "_alert"; "_hasCloser": "_hasCloser"; "_label": "_label"; "_level": "_level"; "_on": "_on"; "_type": "_type"; "_variant": "_variant"; }, {}, never, ["*"], false, never>;
}
export declare interface KolAlert extends Components.KolAlert {
}
export declare class KolAvatar extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    _src: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolAvatar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolAvatar, "kol-avatar", never, { "_label": "_label"; "_src": "_src"; }, {}, never, ["*"], false, never>;
}
export declare interface KolAvatar extends Components.KolAvatar {
}
export declare class KolBadge extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _color: any;
    _icons: any;
    _label: any;
    _smartbutton: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolBadge, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolBadge, "kol-badge", never, { "_color": "_color"; "_icons": "_icons"; "_label": "_label"; "_smartButton": "_smartButton"; }, {}, never, ["*"], false, never>;
}
export declare interface KolBadge extends Components.KolBadge {
}
export declare class KolBreadcrumb extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    _links: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolBreadcrumb, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolBreadcrumb, "kol-breadcrumb", never, { "_label": "_label"; "_links": "_links"; }, {}, never, ["*"], false, never>;
}
export declare interface KolBreadcrumb extends Components.KolBreadcrumb {
}
export declare class KolButton extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _ariacontrols: any;
    _ariaexpanded: any;
    _ariaselected: any;
    _customclass: any;
    _disabled: any;
    _hidelabel: any;
    _icons: any;
    _id: any;
    _label: any;
    _name: any;
    _on: any;
    _role: any;
    _tabindex: any;
    _tooltipalign: any;
    _type: any;
    _value: any;
    _variant: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolButton, "kol-button", never, { "_accessKey": "_accessKey"; "_ariaControls": "_ariaControls"; "_ariaExpanded": "_ariaExpanded"; "_ariaSelected": "_ariaSelected"; "_customClass": "_customClass"; "_disabled": "_disabled"; "_hideLabel": "_hideLabel"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_name": "_name"; "_on": "_on"; "_role": "_role"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_type": "_type"; "_value": "_value"; "_variant": "_variant"; }, {}, never, ["*"], false, never>;
}
export declare interface KolButton extends Components.KolButton {
}
export declare class KolButtonGroup extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    protected el: HTMLElement;
    availableInputProperties: never[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolButtonGroup, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolButtonGroup, "kol-button-group", never, {}, {}, never, ["*"], false, never>;
}
export declare interface KolButtonGroup extends Components.KolButtonGroup {
}
export declare class KolButtonLink extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _ariacontrols: any;
    _ariaexpanded: any;
    _ariaselected: any;
    _disabled: any;
    _hidelabel: any;
    _icons: any;
    _id: any;
    _label: any;
    _name: any;
    _on: any;
    _role: any;
    _tabindex: any;
    _tooltipalign: any;
    _type: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolButtonLink, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolButtonLink, "kol-button-link", never, { "_accessKey": "_accessKey"; "_ariaControls": "_ariaControls"; "_ariaExpanded": "_ariaExpanded"; "_ariaSelected": "_ariaSelected"; "_disabled": "_disabled"; "_hideLabel": "_hideLabel"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_name": "_name"; "_on": "_on"; "_role": "_role"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_type": "_type"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolButtonLink extends Components.KolButtonLink {
}
export declare class KolCard extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _hascloser: any;
    _label: any;
    _level: any;
    _on: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolCard, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolCard, "kol-card", never, { "_hasCloser": "_hasCloser"; "_label": "_label"; "_level": "_level"; "_on": "_on"; }, {}, never, ["*"], false, never>;
}
export declare interface KolCard extends Components.KolCard {
}
export declare class KolCombobox extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _disabled: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _msg: any;
    _name: any;
    _on: any;
    _placeholder: any;
    _required: any;
    _suggestions: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolCombobox, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolCombobox, "kol-combobox", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_disabled": "_disabled"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_msg": "_msg"; "_name": "_name"; "_on": "_on"; "_placeholder": "_placeholder"; "_required": "_required"; "_suggestions": "_suggestions"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolCombobox extends Components.KolCombobox {
}
export declare class KolDetails extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _disabled: any;
    _label: any;
    _on: any;
    _open: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolDetails, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolDetails, "kol-details", never, { "_disabled": "_disabled"; "_label": "_label"; "_on": "_on"; "_open": "_open"; }, {}, never, ["*"], false, never>;
}
export declare interface KolDetails extends Components.KolDetails {
}
export declare class KolForm extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _errorlist: any;
    _on: any;
    _requiredtext: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolForm, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolForm, "kol-form", never, { "_errorList": "_errorList"; "_on": "_on"; "_requiredText": "_requiredText"; }, {}, never, ["*"], false, never>;
}
export declare interface KolForm extends Components.KolForm {
}
export declare class KolHeading extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    _level: any;
    _secondaryheadline: any;
    _variant: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolHeading, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolHeading, "kol-heading", never, { "_label": "_label"; "_level": "_level"; "_secondaryHeadline": "_secondaryHeadline"; "_variant": "_variant"; }, {}, never, ["*"], false, never>;
}
export declare interface KolHeading extends Components.KolHeading {
}
export declare class KolIcon extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _icons: any;
    _label: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolIcon, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolIcon, "kol-icon", never, { "_icons": "_icons"; "_label": "_label"; }, {}, never, ["*"], false, never>;
}
export declare interface KolIcon extends Components.KolIcon {
}
export declare class KolImage extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _alt: any;
    _loading: any;
    _sizes: any;
    _src: any;
    _srcset: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolImage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolImage, "kol-image", never, { "_alt": "_alt"; "_loading": "_loading"; "_sizes": "_sizes"; "_src": "_src"; "_srcset": "_srcset"; }, {}, never, ["*"], false, never>;
}
export declare interface KolImage extends Components.KolImage {
}
export declare class KolIndentedText extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    protected el: HTMLElement;
    availableInputProperties: never[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolIndentedText, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolIndentedText, "kol-indented-text", never, {}, {}, never, ["*"], false, never>;
}
export declare interface KolIndentedText extends Components.KolIndentedText {
}
export declare class KolInputCheckbox extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _checked: any;
    _disabled: any;
    _error: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _indeterminate: any;
    _label: any;
    _msg: any;
    _name: any;
    _on: any;
    _required: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    _variant: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolInputCheckbox, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolInputCheckbox, "kol-input-checkbox", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_checked": "_checked"; "_disabled": "_disabled"; "_error": "_error"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_indeterminate": "_indeterminate"; "_label": "_label"; "_msg": "_msg"; "_name": "_name"; "_on": "_on"; "_required": "_required"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; "_variant": "_variant"; }, {}, never, ["*"], false, never>;
}
export declare interface KolInputCheckbox extends Components.KolInputCheckbox {
}
export declare class KolInputColor extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _autocomplete: any;
    _disabled: any;
    _error: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _msg: any;
    _name: any;
    _on: any;
    _smartbutton: any;
    _suggestions: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolInputColor, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolInputColor, "kol-input-color", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_autoComplete": "_autoComplete"; "_disabled": "_disabled"; "_error": "_error"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_msg": "_msg"; "_name": "_name"; "_on": "_on"; "_smartButton": "_smartButton"; "_suggestions": "_suggestions"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolInputColor extends Components.KolInputColor {
}
export declare class KolInputDate extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _autocomplete: any;
    _disabled: any;
    _error: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _max: any;
    _min: any;
    _msg: any;
    _name: any;
    _on: any;
    _readonly: any;
    _required: any;
    _smartbutton: any;
    _step: any;
    _suggestions: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _type: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolInputDate, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolInputDate, "kol-input-date", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_autoComplete": "_autoComplete"; "_disabled": "_disabled"; "_error": "_error"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_max": "_max"; "_min": "_min"; "_msg": "_msg"; "_name": "_name"; "_on": "_on"; "_readOnly": "_readOnly"; "_required": "_required"; "_smartButton": "_smartButton"; "_step": "_step"; "_suggestions": "_suggestions"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_type": "_type"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolInputDate extends Components.KolInputDate {
}
export declare class KolInputEmail extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _autocomplete: any;
    _disabled: any;
    _error: any;
    _hascounter: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _maxlength: any;
    _msg: any;
    _multiple: any;
    _name: any;
    _on: any;
    _pattern: any;
    _placeholder: any;
    _readonly: any;
    _required: any;
    _smartbutton: any;
    _suggestions: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolInputEmail, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolInputEmail, "kol-input-email", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_autoComplete": "_autoComplete"; "_disabled": "_disabled"; "_error": "_error"; "_hasCounter": "_hasCounter"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_maxLength": "_maxLength"; "_msg": "_msg"; "_multiple": "_multiple"; "_name": "_name"; "_on": "_on"; "_pattern": "_pattern"; "_placeholder": "_placeholder"; "_readOnly": "_readOnly"; "_required": "_required"; "_smartButton": "_smartButton"; "_suggestions": "_suggestions"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolInputEmail extends Components.KolInputEmail {
}
export declare class KolInputFile extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accept: any;
    _accesskey: any;
    _alert: any;
    _disabled: any;
    _error: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _msg: any;
    _multiple: any;
    _name: any;
    _on: any;
    _required: any;
    _smartbutton: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolInputFile, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolInputFile, "kol-input-file", never, { "_accept": "_accept"; "_accessKey": "_accessKey"; "_alert": "_alert"; "_disabled": "_disabled"; "_error": "_error"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_msg": "_msg"; "_multiple": "_multiple"; "_name": "_name"; "_on": "_on"; "_required": "_required"; "_smartButton": "_smartButton"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolInputFile extends Components.KolInputFile {
}
export declare class KolInputNumber extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _autocomplete: any;
    _disabled: any;
    _error: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _max: any;
    _min: any;
    _msg: any;
    _name: any;
    _on: any;
    _placeholder: any;
    _readonly: any;
    _required: any;
    _smartbutton: any;
    _step: any;
    _suggestions: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolInputNumber, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolInputNumber, "kol-input-number", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_autoComplete": "_autoComplete"; "_disabled": "_disabled"; "_error": "_error"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_max": "_max"; "_min": "_min"; "_msg": "_msg"; "_name": "_name"; "_on": "_on"; "_placeholder": "_placeholder"; "_readOnly": "_readOnly"; "_required": "_required"; "_smartButton": "_smartButton"; "_step": "_step"; "_suggestions": "_suggestions"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolInputNumber extends Components.KolInputNumber {
}
export declare class KolInputPassword extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _autocomplete: any;
    _disabled: any;
    _error: any;
    _hascounter: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _maxlength: any;
    _msg: any;
    _name: any;
    _on: any;
    _pattern: any;
    _placeholder: any;
    _readonly: any;
    _required: any;
    _smartbutton: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    _variant: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolInputPassword, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolInputPassword, "kol-input-password", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_autoComplete": "_autoComplete"; "_disabled": "_disabled"; "_error": "_error"; "_hasCounter": "_hasCounter"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_maxLength": "_maxLength"; "_msg": "_msg"; "_name": "_name"; "_on": "_on"; "_pattern": "_pattern"; "_placeholder": "_placeholder"; "_readOnly": "_readOnly"; "_required": "_required"; "_smartButton": "_smartButton"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; "_variant": "_variant"; }, {}, never, ["*"], false, never>;
}
export declare interface KolInputPassword extends Components.KolInputPassword {
}
export declare class KolInputRadio extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _disabled: any;
    _error: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _id: any;
    _label: any;
    _msg: any;
    _name: any;
    _on: any;
    _options: any;
    _orientation: any;
    _required: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolInputRadio, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolInputRadio, "kol-input-radio", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_disabled": "_disabled"; "_error": "_error"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_id": "_id"; "_label": "_label"; "_msg": "_msg"; "_name": "_name"; "_on": "_on"; "_options": "_options"; "_orientation": "_orientation"; "_required": "_required"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolInputRadio extends Components.KolInputRadio {
}
export declare class KolInputRange extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _autocomplete: any;
    _disabled: any;
    _error: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _max: any;
    _min: any;
    _msg: any;
    _name: any;
    _on: any;
    _step: any;
    _suggestions: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolInputRange, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolInputRange, "kol-input-range", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_autoComplete": "_autoComplete"; "_disabled": "_disabled"; "_error": "_error"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_max": "_max"; "_min": "_min"; "_msg": "_msg"; "_name": "_name"; "_on": "_on"; "_step": "_step"; "_suggestions": "_suggestions"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolInputRange extends Components.KolInputRange {
}
export declare class KolInputText extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _autocomplete: any;
    _disabled: any;
    _error: any;
    _hascounter: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _maxlength: any;
    _msg: any;
    _name: any;
    _on: any;
    _pattern: any;
    _placeholder: any;
    _readonly: any;
    _required: any;
    _smartbutton: any;
    _suggestions: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _type: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolInputText, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolInputText, "kol-input-text", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_autoComplete": "_autoComplete"; "_disabled": "_disabled"; "_error": "_error"; "_hasCounter": "_hasCounter"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_maxLength": "_maxLength"; "_msg": "_msg"; "_name": "_name"; "_on": "_on"; "_pattern": "_pattern"; "_placeholder": "_placeholder"; "_readOnly": "_readOnly"; "_required": "_required"; "_smartButton": "_smartButton"; "_suggestions": "_suggestions"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_type": "_type"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolInputText extends Components.KolInputText {
}
export declare class KolKolibri extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _color: any;
    _labeled: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolKolibri, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolKolibri, "kol-kolibri", never, { "_color": "_color"; "_labeled": "_labeled"; }, {}, never, ["*"], false, never>;
}
export declare interface KolKolibri extends Components.KolKolibri {
}
export declare class KolLink extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _ariacurrentvalue: any;
    _disabled: any;
    _download: any;
    _hidelabel: any;
    _href: any;
    _icons: any;
    _label: any;
    _on: any;
    _role: any;
    _tabindex: any;
    _target: any;
    _tooltipalign: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolLink, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolLink, "kol-link", never, { "_accessKey": "_accessKey"; "_ariaCurrentValue": "_ariaCurrentValue"; "_disabled": "_disabled"; "_download": "_download"; "_hideLabel": "_hideLabel"; "_href": "_href"; "_icons": "_icons"; "_label": "_label"; "_on": "_on"; "_role": "_role"; "_tabIndex": "_tabIndex"; "_target": "_target"; "_tooltipAlign": "_tooltipAlign"; }, {}, never, ["*"], false, never>;
}
export declare interface KolLink extends Components.KolLink {
}
export declare class KolLinkButton extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _ariacurrentvalue: any;
    _customclass: any;
    _disabled: any;
    _download: any;
    _hidelabel: any;
    _href: any;
    _icons: any;
    _label: any;
    _on: any;
    _role: any;
    _tabindex: any;
    _target: any;
    _tooltipalign: any;
    _variant: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolLinkButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolLinkButton, "kol-link-button", never, { "_accessKey": "_accessKey"; "_ariaCurrentValue": "_ariaCurrentValue"; "_customClass": "_customClass"; "_disabled": "_disabled"; "_download": "_download"; "_hideLabel": "_hideLabel"; "_href": "_href"; "_icons": "_icons"; "_label": "_label"; "_on": "_on"; "_role": "_role"; "_tabIndex": "_tabIndex"; "_target": "_target"; "_tooltipAlign": "_tooltipAlign"; "_variant": "_variant"; }, {}, never, ["*"], false, never>;
}
export declare interface KolLinkButton extends Components.KolLinkButton {
}
export declare class KolLinkGroup extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    _links: any;
    _liststyletype: any;
    _orientation: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolLinkGroup, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolLinkGroup, "kol-link-group", never, { "_label": "_label"; "_links": "_links"; "_listStyleType": "_listStyleType"; "_orientation": "_orientation"; }, {}, never, ["*"], false, never>;
}
export declare interface KolLinkGroup extends Components.KolLinkGroup {
}
export declare class KolLogo extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _org: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolLogo, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolLogo, "kol-logo", never, { "_org": "_org"; }, {}, never, ["*"], false, never>;
}
export declare interface KolLogo extends Components.KolLogo {
}
export declare class KolModal extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _activeelement: any;
    _label: any;
    _on: any;
    _width: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolModal, "kol-modal", never, { "_activeElement": "_activeElement"; "_label": "_label"; "_on": "_on"; "_width": "_width"; }, {}, never, ["*"], false, never>;
}
export declare interface KolModal extends Components.KolModal {
}
export declare class KolNav extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _collapsible: any;
    _hascompactbutton: any;
    _hasiconswhenexpanded: any;
    _hidelabel: any;
    _label: any;
    _links: any;
    _orientation: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolNav, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolNav, "kol-nav", never, { "_collapsible": "_collapsible"; "_hasCompactButton": "_hasCompactButton"; "_hasIconsWhenExpanded": "_hasIconsWhenExpanded"; "_hideLabel": "_hideLabel"; "_label": "_label"; "_links": "_links"; "_orientation": "_orientation"; }, {}, never, ["*"], false, never>;
}
export declare interface KolNav extends Components.KolNav {
}
export declare class KolPagination extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _boundarycount: any;
    _customclass: any;
    _hasbuttons: any;
    _label: any;
    _max: any;
    _on: any;
    _page: any;
    _pagesize: any;
    _pagesizeoptions: any;
    _siblingcount: any;
    _tooltipalign: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolPagination, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolPagination, "kol-pagination", never, { "_boundaryCount": "_boundaryCount"; "_customClass": "_customClass"; "_hasButtons": "_hasButtons"; "_label": "_label"; "_max": "_max"; "_on": "_on"; "_page": "_page"; "_pageSize": "_pageSize"; "_pageSizeOptions": "_pageSizeOptions"; "_siblingCount": "_siblingCount"; "_tooltipAlign": "_tooltipAlign"; }, {}, never, ["*"], false, never>;
}
export declare interface KolPagination extends Components.KolPagination {
}
export declare class KolProgress extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    _max: any;
    _unit: any;
    _value: any;
    _variant: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolProgress, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolProgress, "kol-progress", never, { "_label": "_label"; "_max": "_max"; "_unit": "_unit"; "_value": "_value"; "_variant": "_variant"; }, {}, never, ["*"], false, never>;
}
export declare interface KolProgress extends Components.KolProgress {
}
export declare class KolQuote extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _href: any;
    _label: any;
    _quote: any;
    _variant: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolQuote, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolQuote, "kol-quote", never, { "_href": "_href"; "_label": "_label"; "_quote": "_quote"; "_variant": "_variant"; }, {}, never, ["*"], false, never>;
}
export declare interface KolQuote extends Components.KolQuote {
}
export declare class KolSelect extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _alert: any;
    _disabled: any;
    _error: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _msg: any;
    _multiple: any;
    _name: any;
    _on: any;
    _options: any;
    _required: any;
    _rows: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolSelect, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolSelect, "kol-select", never, { "_accessKey": "_accessKey"; "_alert": "_alert"; "_disabled": "_disabled"; "_error": "_error"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_msg": "_msg"; "_multiple": "_multiple"; "_name": "_name"; "_on": "_on"; "_options": "_options"; "_required": "_required"; "_rows": "_rows"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolSelect extends Components.KolSelect {
}
export declare class KolSkipNav extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    _links: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolSkipNav, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolSkipNav, "kol-skip-nav", never, { "_label": "_label"; "_links": "_links"; }, {}, never, ["*"], false, never>;
}
export declare interface KolSkipNav extends Components.KolSkipNav {
}
export declare class KolSpin extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _show: any;
    _variant: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolSpin, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolSpin, "kol-spin", never, { "_show": "_show"; "_variant": "_variant"; }, {}, never, ["*"], false, never>;
}
export declare interface KolSpin extends Components.KolSpin {
}
export declare class KolSplitButton extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _ariacontrols: any;
    _ariaexpanded: any;
    _ariaselected: any;
    _customclass: any;
    _disabled: any;
    _hidelabel: any;
    _icons: any;
    _id: any;
    _label: any;
    _name: any;
    _on: any;
    _role: any;
    _tabindex: any;
    _tooltipalign: any;
    _type: any;
    _value: any;
    _variant: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolSplitButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolSplitButton, "kol-split-button", never, { "_ariaControls": "_ariaControls"; "_ariaExpanded": "_ariaExpanded"; "_ariaSelected": "_ariaSelected"; "_customClass": "_customClass"; "_disabled": "_disabled"; "_hideLabel": "_hideLabel"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_name": "_name"; "_on": "_on"; "_role": "_role"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_type": "_type"; "_value": "_value"; "_variant": "_variant"; }, {}, never, ["*"], false, never>;
}
export declare interface KolSplitButton extends Components.KolSplitButton {
}
export declare class KolSymbol extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    _symbol: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolSymbol, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolSymbol, "kol-symbol", never, { "_label": "_label"; "_symbol": "_symbol"; }, {}, never, ["*"], false, never>;
}
export declare interface KolSymbol extends Components.KolSymbol {
}
export declare class KolTable extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _allowmultisort: any;
    _data: any;
    _datafoot: any;
    _headers: any;
    _label: any;
    _minwidth: any;
    _on: any;
    _pagination: any;
    _paginationposition: any;
    _selection: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolTable, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolTable, "kol-table", never, { "_allowMultiSort": "_allowMultiSort"; "_data": "_data"; "_dataFoot": "_dataFoot"; "_headers": "_headers"; "_label": "_label"; "_minWidth": "_minWidth"; "_on": "_on"; "_pagination": "_pagination"; "_paginationPosition": "_paginationPosition"; "_selection": "_selection"; }, {}, never, ["*"], false, never>;
}
export declare interface KolTable extends Components.KolTable {
}
export declare class KolTableStateful extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _allowmultisort: any;
    _data: any;
    _datafoot: any;
    _headers: any;
    _label: any;
    _minwidth: any;
    _on: any;
    _pagination: any;
    _paginationposition: any;
    _selection: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolTableStateful, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolTableStateful, "kol-table-stateful", never, { "_allowMultiSort": "_allowMultiSort"; "_data": "_data"; "_dataFoot": "_dataFoot"; "_headers": "_headers"; "_label": "_label"; "_minWidth": "_minWidth"; "_on": "_on"; "_pagination": "_pagination"; "_paginationPosition": "_paginationPosition"; "_selection": "_selection"; }, {}, never, ["*"], false, never>;
}
export declare interface KolTableStateful extends Components.KolTableStateful {
}
export declare class KolTableStateless extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _data: any;
    _datafoot: any;
    _headercells: any;
    _label: any;
    _minwidth: any;
    _on: any;
    _selection: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolTableStateless, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolTableStateless, "kol-table-stateless", never, { "_data": "_data"; "_dataFoot": "_dataFoot"; "_headerCells": "_headerCells"; "_label": "_label"; "_minWidth": "_minWidth"; "_on": "_on"; "_selection": "_selection"; }, {}, never, ["*"], false, never>;
}
export declare interface KolTableStateless extends Components.KolTableStateless {
}
export declare class KolTabs extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _align: any;
    _label: any;
    _on: any;
    _selected: any;
    _tabs: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolTabs, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolTabs, "kol-tabs", never, { "_align": "_align"; "_label": "_label"; "_on": "_on"; "_selected": "_selected"; "_tabs": "_tabs"; }, {}, never, ["*"], false, never>;
}
export declare interface KolTabs extends Components.KolTabs {
}
export declare class KolTextarea extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _accesskey: any;
    _adjustheight: any;
    _alert: any;
    _disabled: any;
    _error: any;
    _hascounter: any;
    _hideerror: any;
    _hidelabel: any;
    _hint: any;
    _icons: any;
    _id: any;
    _label: any;
    _maxlength: any;
    _msg: any;
    _name: any;
    _on: any;
    _placeholder: any;
    _readonly: any;
    _required: any;
    _resize: any;
    _rows: any;
    _tabindex: any;
    _tooltipalign: any;
    _touched: any;
    _value: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolTextarea, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolTextarea, "kol-textarea", never, { "_accessKey": "_accessKey"; "_adjustHeight": "_adjustHeight"; "_alert": "_alert"; "_disabled": "_disabled"; "_error": "_error"; "_hasCounter": "_hasCounter"; "_hideError": "_hideError"; "_hideLabel": "_hideLabel"; "_hint": "_hint"; "_icons": "_icons"; "_id": "_id"; "_label": "_label"; "_maxLength": "_maxLength"; "_msg": "_msg"; "_name": "_name"; "_on": "_on"; "_placeholder": "_placeholder"; "_readOnly": "_readOnly"; "_required": "_required"; "_resize": "_resize"; "_rows": "_rows"; "_tabIndex": "_tabIndex"; "_tooltipAlign": "_tooltipAlign"; "_touched": "_touched"; "_value": "_value"; }, {}, never, ["*"], false, never>;
}
export declare interface KolTextarea extends Components.KolTextarea {
}
export declare class KolToastContainer extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    protected el: HTMLElement;
    availableInputProperties: never[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolToastContainer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolToastContainer, "kol-toast-container", never, {}, {}, never, ["*"], false, never>;
}
export declare interface KolToastContainer extends Components.KolToastContainer {
}
export declare class KolToolbar extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _items: any;
    _label: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolToolbar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolToolbar, "kol-toolbar", never, { "_items": "_items"; "_label": "_label"; }, {}, never, ["*"], false, never>;
}
export declare interface KolToolbar extends Components.KolToolbar {
}
export declare class KolTree extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolTree, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolTree, "kol-tree", never, { "_label": "_label"; }, {}, never, ["*"], false, never>;
}
export declare interface KolTree extends Components.KolTree {
}
export declare class KolTreeItem extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _active: any;
    _href: any;
    _label: any;
    _open: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolTreeItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolTreeItem, "kol-tree-item", never, { "_active": "_active"; "_href": "_href"; "_label": "_label"; "_open": "_open"; }, {}, never, ["*"], false, never>;
}
export declare interface KolTreeItem extends Components.KolTreeItem {
}
export declare class KolTreeItemWc extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _active: any;
    _href: any;
    _label: any;
    _open: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolTreeItemWc, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolTreeItemWc, "kol-tree-item-wc", never, { "_active": "_active"; "_href": "_href"; "_label": "_label"; "_open": "_open"; }, {}, never, ["*"], false, never>;
}
export declare interface KolTreeItemWc extends Components.KolTreeItemWc {
}
export declare class KolTreeWc extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolTreeWc, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolTreeWc, "kol-tree-wc", never, { "_label": "_label"; }, {}, never, ["*"], false, never>;
}
export declare interface KolTreeWc extends Components.KolTreeWc {
}
export declare class KolVersion extends StencilProxyComponent implements OnChanges {
    private changeDetectorRef;
    protected z: NgZone;
    _label: any;
    protected el: HTMLElement;
    availableInputProperties: string[];
    hasTagNameTransformer: boolean;
    tagName: string;
    replaceTagDirective: ReplaceTagDirective;
    constructor(changeDetectorRef: ChangeDetectorRef, r: ElementRef, z: NgZone);
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<KolVersion, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<KolVersion, "kol-version", never, { "_label": "_label"; }, {}, never, ["*"], false, never>;
}
export declare interface KolVersion extends Components.KolVersion {
}
